OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors.udp
Class UdpReceiver

    java.lang.Object
      org.opennms.netmgt.eventd.adaptors.udp.UdpReceiver

All Implemented Interfaces:
  java.lang.Runnable

class UdpReceiver
extends java.lang.Object
implements java.lang.Runnable

Author:
  Brian Weaver , Oculan Corporation

Field Summary
`private java.lang.Thread` `m_context` The context thread
`private java.net.DatagramSocket` `m_dgSock` The UDP socket for receipt and transmission of packets from agents.
`private java.util.List` `m_eventsIn` The list of incomming events.
`private java.lang.String` `m_logPrefix` The log prefix
`private boolean` `m_stop` The Fiber's status.

Constructor Summary
`(package private)` `UdpReceiver(java.net.DatagramSocket sock, java.util.List xchange)` construct a new receiver

Method Summary
`(package private) boolean` `isAlive()` Return true if this receiver is alive
`void` `run()` The execution context.
`(package private) void` `setLogPrefix(java.lang.String prefix)`
`(package private) void` `stop()` stop the current receiver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_eventsIn

    private java.util.List m_eventsIn

  The list of incomming events.

### m_stop

    private volatile boolean m_stop

  The Fiber's status.

### m_dgSock

    private java.net.DatagramSocket m_dgSock

  The UDP socket for receipt and transmission of packets from agents.

### m_context

    private java.lang.Thread m_context

  The context thread

### m_logPrefix

    private java.lang.String m_logPrefix

  The log prefix

Constructor Detail

### UdpReceiver

    UdpReceiver(java.net.DatagramSocket sock,
                java.util.List xchange)

  construct a new receiver

Method Detail

### stop

    void stop()
        throws java.lang.InterruptedException

  stop the current receiver

  Throws:
    `java.lang.InterruptedException`

### isAlive

    boolean isAlive()

  Return true if this receiver is alive

### run

    public void run()

  The execution context.

  Specified by:
    `run` in interface `java.lang.Runnable`

### setLogPrefix

    void setLogPrefix(java.lang.String prefix)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.